Need guidance related to OpenCL version.

Hi,

Iam searching for boards which has GPU, i already have a board, which has GPU which can support opencl 1.1 EP, but to run Opencv with CL its mentioned in http://docs.opencv.org/modules/ocl/doc/introduction.html that " OpenCL version should be larger than 1.1 with FULL PROFILE" , so i got a doubt that, is GPU with support of opencl 1.2 EP is sufficient to run opencv which needs opencl version larger than 1.1 FP.

And one more thing i wanna know, how i can i find out that “how many work groups (max_work_group_size) a GPU can support” .

Thanks,
Shabuddin.